﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="script_example_06.aspx.cs"
    MasterPageFile="~/main.master" EnableViewState="false" Inherits="sdk_category_script_example_06" %>

<%@ Register Src="../../modules/categories_v2.ascx" TagName="categories" TagPrefix="uc1" %>
<asp:Content ID="hd" ContentPlaceHolderID="HeadContent" runat="server">
    <link rel="stylesheet" type="text/css" href="../style.css" />
    <link rel="stylesheet" type="text/css" href="style.css" />
    <title>Multi Column Listing (Parent Category Only) - ASP.NET Category Script 2.0
    </title>
</asp:Content>
<asp:Content ID="pagecontent" ContentPlaceHolderID="MC" runat="server">
    <div id="msg" runat="server">
    </div>
    <div class="main_block ui-corner-all">
        <div class="item">
            <div class="item">
                <div class="module ui-corner-all">
                    <a id="hm" class="bld" runat="server"></a>&nbsp;&gt;&nbsp;<a id="sdk" class="bld"
                        runat="server"></a>&nbsp;&gt;&nbsp;<a id="vd" class="bld" runat="server"></a>&nbsp;&gt;&nbsp;Multi
                    Column Listing
                </div>
            </div>
            <div class="item_pad">
                <div class="module ui-corner-all">
                    <div class="heading">
                        <h3 id="cmt" runat="server">
                            Multi Column Listing (Parent Category Only) - Vertical Direction
                        </h3>
                    </div>
                    <div class="pd_5 ptext">
                        <p class="bgtext">
                            This example will load parent categories in multiple columns
                        </p>
                    </div>
                </div>
            </div>
            <div class="item_pad">
                <div class="module ui-corner-all">
                    <div class="heading">
                        <h3>
                            Examples &amp; Codes
                        </h3>
                    </div>
                    <div class="pd_5 ptext">
                        <div class="cscroll">
                            <pre class="csharpcode">
<span class="kwrd">if</span> (Categories1 != <span class="kwrd">null</span>)
{
   Categories1.Type = 13; <span class="rem">// Category Type (13: Classified)</span>
   Categories1.MainCategoryURL = <span class="kwrd">false</span>;
   Categories1.NavigationCssClass = <span class="str">"ver_lstt"</span>;
   Categories1.ListingCssClass = <span class="str">""</span>;
   Categories1.isHeading = <span class="kwrd">false</span>;
   Categories1.isAll = <span class="kwrd">true</span>;
   Categories1.ShowParentsOnly = <span class="kwrd">true</span>;
   Categories1.URL = <span class="str">"#"</span>;
   Categories1.MultiColumn = <span class="kwrd">true</span>;
   Categories1.TotalColumns = 3;
   Categories1.RepeatDirection = 0;
   Categories1.ColumnWidth = <span class="str">"30%"</span>;
}</pre>
                        </div>
                    </div>
                </div>
            </div>
            <div class="item_pad">
                <uc1:categories ID="Categories1" runat="server" />
            </div>
            <div class="item_pad">
                <div class="module ui-corner-all">
                    <div class="heading">
                        <h3>
                            Multi Column Listing (Parent Category Only) - Horizontal Direction
                        </h3>
                    </div>
                    <div class="pd_5 ptext">
                        <p class="bgtext">
                            This example will load parent categories in multiple columns - horizontal direction
                            flow
                        </p>
                    </div>
                </div>
            </div>
            <div class="item_pad">
                <div class="module ui-corner-all">
                    <div class="heading">
                        <h3>
                            Examples &amp; Code
                        </h3>
                    </div>
                    <div class="pd_5 ptext">
                        <div class="cscroll">
                            <pre class="csharpcode">

<pre class="csharpcode">
<span class="kwrd">if</span> (Categories2 != <span class="kwrd">null</span>)
{
   Categories2.Type = 13; <span class="rem">// Category Type (13: Classified)</span>
   Categories2.MainCategoryURL = <span class="kwrd">false</span>;
   Categories2.NavigationCssClass = <span class="str">""</span>;
   Categories2.ListingCssClass = <span class="str">""</span>;
   Categories2.isHeading = <span class="kwrd">false</span>;
   Categories2.isAll = <span class="kwrd">true</span>;
   Categories2.ShowParentsOnly = <span class="kwrd">true</span>;
   Categories2.URL = <span class="str">"#"</span>;
   Categories2.MultiColumn = <span class="kwrd">true</span>;
   Categories2.TotalColumns = 3; 
   Categories2.RepeatDirection = 1;
}</pre>
                        </div>
                    </div>
                </div>
            </div>
            <div id="cnav04" class="item_pad">
                <uc1:categories ID="Categories2" runat="server" />
            </div>
            <div class="item_pad">
                <div class="module ui-corner-all">
                    <!-- AddThis Button BEGIN -->
                    <div class="addthis_toolbox addthis_default_style addthis_32x32_style">
                        <a class="addthis_button_preferred_1"></a><a class="addthis_button_preferred_2">
                        </a><a class="addthis_button_preferred_3"></a><a class="addthis_button_preferred_4">
                        </a><a class="addthis_button_compact"></a><a class="addthis_counter addthis_bubble_style">
                        </a>
                    </div>
                    <script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=mediasoftpro"></script>
                    <!-- AddThis Button END -->
                </div>
            </div>
        </div>
    </div>
</asp:Content>
