﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class sdk_category_script_example_06 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            string _root = Config.GetUrl();
            hm.HRef = _root;
            hm.InnerHtml = "Home";

            sdk.HRef = _root + "sdk/";
            sdk.InnerHtml = "Developer Section";

            vd.HRef = _root + "sdk/category/";
            vd.InnerHtml = "Category Management";

            Process_Module();

        }
    }

    private void Process_Module()
    {
        // Code Behind
        if (Categories1 != null)
        {
            Categories1.Type = 13; // Category Type (13: Classified)
            Categories1.MainCategoryURL = false;
            Categories1.NavigationCssClass = "ver_lstt";
            Categories1.ListingCssClass = "";
            Categories1.isHeading = false;
            Categories1.isAll = true;
            Categories1.ShowParentsOnly = true;
            Categories1.URL = "#";
            Categories1.MultiColumn = true;
            Categories1.TotalColumns = 3;
            Categories1.RepeatDirection = 0;
            Categories1.ColumnWidth = "30%";
        }

        if (Categories2 != null)
        {
            Categories2.Type = 13; // Category Type (13: Classified)
            Categories2.MainCategoryURL = false;
            Categories2.NavigationCssClass = "";
            Categories2.ListingCssClass = "";
            Categories2.isHeading = false;
            Categories2.isAll = true;
            Categories2.ShowParentsOnly = true;
            Categories2.URL = "#";
            Categories2.MultiColumn = true;
            Categories2.TotalColumns = 3; // In case of horizontal repeat column width depend on link style used via css
            Categories2.RepeatDirection = 1;
        }
    }
}