﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class sdk_category_script_example_12 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            string _root = Config.GetUrl();
            hm.HRef = _root;
            hm.InnerHtml = "Home";

            sdk.HRef = _root + "sdk/";
            sdk.InnerHtml = "Developer Section";

            vd.HRef = _root + "sdk/category/";
            vd.InnerHtml = "Category Management";

            Process_Module();

        }
    }

    private void Process_Module()
    {
        // Code Behind
        if (Categories1 != null)
        {
            Categories1.HeadingTitle = "CSS Categories";
            Categories1.Type = 13; // 0: videos, 1: groups, 2: channels, 4: abuse reports, 5: photos 6: blogs 7: audio files, 8: galleries, 12 forum
            Categories1.MainCategoryURL = false; // true: single page for every type of content, false: single page for every type of content
            Categories1.Total_Records = 10; // display 10 records, if isAll=false
            Categories1.ShowParentsOnly = true;
            Categories1.MoreLinkText = "see all";
            Categories1.MoreLinkToolTip = "Browse all categories";
            Categories1.MoreLinkUrl = "categories/";
            Categories1.NavigationCssClass = ""; // clear css style
            Categories1.ListingCssClass = "";
            Categories1.isHeading = false;
            Categories1.URL = "#";
        }
    }
}